Bug 169228 - sysutils/salt version update, rc feature addition
Summary: sysutils/salt version update, rc feature addition
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ruslan Makhmatkhanov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-19 02:20 UTC by Scott Larson
Modified: 2012-06-23 23:50 UTC (History)
0 users

See Also:


Attachments
Makefile.diff (855 bytes, patch)
2012-06-19 02:20 UTC, Scott Larson
no flags Details | Diff
pkg-plist.diff (54.83 KB, patch)
2012-06-19 02:20 UTC, Scott Larson
no flags Details | Diff
salt_minion.in.diff (532 bytes, patch)
2012-06-19 02:20 UTC, Scott Larson
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Scott Larson 2012-06-19 02:20:10 UTC
	Ostensibly just a version update, with some caveats.  With this release it defaults to building as a python egg. When attempting to build as the old scripts style it would repeatedly fail out on me so I went with the flow. The one problem I ran into with the egg is that the man page installation wasn't working correctly and they end up in the egg itself. My solution is to just glob and move those files to the correct place during post-install but that seems kind of sloppy and there may be a better trick.
	My trivial feature addition is to the rc script for the minion, adding a couple flags which allow specifying the egg cache directory and the contents of PATH.  Without these two options a minion running on a diskless server will either fail to start with / being read-only, and when the system fires off the script by default /usr/local/bin and /usr/local/sbin will be unavailable for functions like cmd.run.

Fix: --- distinfo.orig	2012-06-18 17:37:33.000000000 -0700
+++ distinfo	2012-06-18 17:37:33.000000000 -0700
@@ -1,2 +1,2 @@
-SHA256 (salt-0.9.9.1.tar.gz) = 8b06bb19a65882b8dd3f8dcbeb27e3b4016825e8943b22ac8b6a77c5453b1340
-SIZE (salt-0.9.9.1.tar.gz) = 1760361
+SHA256 (salt-0.10.0.tar.gz) = 268545290cf736bb1d0ba9c6fa73927c77c9cec2a7ed73112c970fd00b2aa94a
+SIZE (salt-0.10.0.tar.gz) = 1966467
--- distinfo.diff ends here ---

--- patch-setup.py.orig	2012-06-18 17:37:33.000000000 -0700
+++ patch-setup.py	2012-06-18 17:37:33.000000000 -0700
@@ -1,29 +1,37 @@
---- setup.py	2012-04-28 08:33:41.000000000 +0400
-+++ setup.py	2012-05-02 01:08:12.000000000 +0400
-@@ -47,7 +47,7 @@
+--- setup.py.orig	2012-06-11 12:19:09.000000000 -0700
++++ setup.py	2012-06-18 16:44:35.573996838 -0700
+@@ -1,4 +1,4 @@
+-#!/usr/bin/env python2
++#!/usr/bin/env python
+ '''
+ The setup script for salt
+ '''
+@@ -56,7 +56,7 @@
  if 'SYSCONFDIR' in os.environ:
      etc_path = os.environ['SYSCONFDIR']
  else:
 -    etc_path = os.path.join(os.path.dirname(PREFIX), 'etc')
-+    etc_path = os.path.join('%%PREFIX%%', 'etc')
-
++    etc_path = os.path.join('/usr/local', 'etc')
+ 
  libraries = ['ws2_32'] if sys.platform == 'win32' else []
  
 @@ -100,7 +100,7 @@
-                'scripts/salt-call',
-                'scripts/salt-run',
-                'scripts/salt'],
--      data_files=[('share/man/man1',
-+      data_files=[('man/man1',
-                     ['doc/man/salt-master.1',
-                      'doc/man/salt-key.1',
-                      'doc/man/salt.1',
-@@ -110,7 +110,7 @@
-                      'doc/man/salt-run.1',
-                      'doc/man/salt-minion.1',
-                     ]),
--                ('share/man/man7',
-+                ('man/man7',
-                     ['doc/man/salt.7',
-                     ]),
-                  ],
+                 'package_data': {
+                                  'salt.modules': ['rh_ip/*.jinja'],
+                                  },
+-                'data_files': [('share/man/man1',
++                'data_files': [('man/man1',
+                                 ['doc/man/salt-master.1',
+                                  'doc/man/salt-key.1',
+                                  'doc/man/salt.1',
+@@ -110,9 +110,8 @@
+                                  'doc/man/salt-run.1',
+                                  'doc/man/salt-minion.1',
+                                 ]),
+-                               ('share/man/man7', ['doc/man/salt.7']),
++                               ('man/man7', ['doc/man/salt.7',]),
+                                ],
+-                'install_requires': requirements,
+                 }
+ 
+ if with_setuptools:
--- patch-setup.py.diff ends here ---
Comment 1 Edwin Groothuis freebsd_committer 2012-06-19 04:37:02 UTC
Maintainer of sysutils/salt,

Please note that PR ports/169228 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/169228

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2012-06-19 04:37:06 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Christer Edwards 2012-06-19 17:06:15 UTC
Looks good to me. Thank you for the update Scott.

christer
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2012-06-19 19:33:23 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 5 Ruslan Makhmatkhanov freebsd_committer 2012-06-20 09:34:26 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rm

I will take it.
Comment 6 dfilter service freebsd_committer 2012-06-23 23:44:41 UTC
rm          2012-06-23 22:44:27 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/salt        Makefile distinfo pkg-plist 
    sysutils/salt/files  salt_minion.in 
  Removed files:
    sysutils/salt/files  patch-setup.py 
  Log:
  - update to 0.10.0 [1]
  - remove unneded BUILD_DEPENDS [2]
  - switch to setuptools [1]
  - install man-pages into proper locations. remove patch for setup.py [2]
  - add couple of flags to minion rc-script that allows to define egg cache
    directory and the contents of PATH to fix runtime on diskless systems [1]
  
  PR:             169228 [1]
          169209 [2]
  Submitted by:   Scott Larson <stl at wiredrive dot com> [1]
                  Denis Generalov <gd at rambler-co dot ru> [2]
  Approved by:    Christer Edwards <christer.edwards at gmail dot com> (maintainer)
  
  Revision  Changes    Path
  1.10      +11 -9     ports/sysutils/salt/Makefile
  1.7       +2 -2      ports/sysutils/salt/distinfo
  1.5       +0 -29     ports/sysutils/salt/files/patch-setup.py (dead)
  1.3       +6 -1      ports/sysutils/salt/files/salt_minion.in
  1.7       +511 -454  ports/sysutils/salt/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Ruslan Makhmatkhanov freebsd_committer 2012-06-23 23:44:50 UTC
State Changed
From-To: open->closed

Committed, thank you!